org.sqlite

## Enum SQLiteOpenMode

- java.lang.Object
- - java.lang.Enum<SQLiteOpenMode>
  - - org.sqlite.SQLiteOpenMode

All Implemented Interfaces:
  Serializable, Comparable<SQLiteOpenMode>

    public enum SQLiteOpenMode
    extends Enum<SQLiteOpenMode>

Database file open modes of SQLite.

See also http://sqlite.org/c3ref/open.html

Author:
  leo

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`DELETEONCLOSE`
`EXCLUSIVE`
`FULLMUTEX`
`MAIN_DB`
`MAIN_JOURNAL`
`MASTER_JOURNAL`
`NOMUTEX`
`OPEN_MEMORY`
`OPEN_URI`
`PRIVATECACHE`
`READONLY`
`READWRITE`
`SHAREDCACHE`
`SUBJOURNAL`
`TEMP_DB`
`TEMP_JOURNAL`
`TRANSIENT_DB`

### Field Summary

Fields
`int` `flag`

### Method Summary

All Methods Static Methods Concrete Methods
`static SQLiteOpenMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteOpenMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READONLY

    public static final SQLiteOpenMode READONLY

#### READWRITE

    public static final SQLiteOpenMode READWRITE

#### CREATE

    public static final SQLiteOpenMode CREATE

#### DELETEONCLOSE

    public static final SQLiteOpenMode DELETEONCLOSE

#### EXCLUSIVE

    public static final SQLiteOpenMode EXCLUSIVE

#### OPEN_URI

    public static final SQLiteOpenMode OPEN_URI

#### OPEN_MEMORY

    public static final SQLiteOpenMode OPEN_MEMORY

#### MAIN_DB

    public static final SQLiteOpenMode MAIN_DB

#### TEMP_DB

    public static final SQLiteOpenMode TEMP_DB

#### TRANSIENT_DB

    public static final SQLiteOpenMode TRANSIENT_DB

#### MAIN_JOURNAL

    public static final SQLiteOpenMode MAIN_JOURNAL

#### TEMP_JOURNAL

    public static final SQLiteOpenMode TEMP_JOURNAL

#### SUBJOURNAL

    public static final SQLiteOpenMode SUBJOURNAL

#### MASTER_JOURNAL

    public static final SQLiteOpenMode MASTER_JOURNAL

#### NOMUTEX

    public static final SQLiteOpenMode NOMUTEX

#### FULLMUTEX

    public static final SQLiteOpenMode FULLMUTEX

#### SHAREDCACHE

    public static final SQLiteOpenMode SHAREDCACHE

#### PRIVATECACHE

    public static final SQLiteOpenMode PRIVATECACHE

### Field Detail

#### flag

    public final int flag

### Method Detail

#### values

    public static SQLiteOpenMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteOpenMode c : SQLiteOpenMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteOpenMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null